Page MenuHomePhabricator

replace.py should not crash when it does a replacement in Module: and get rejected by API for changing content model
Open, LowPublic

Description

I started bot regularly and when bot comes to protected page which only can edit only administrators, I got error with traceback (T171713).. See picture

I suggest to show message: This page only can edit administrators and to continue on another, and this one that can not be edited to skip.

Event Timeline

Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptAug 20 2017, 3:26 AM
-fix:datumi

is because i added code in user-fixes.py

Maybe to implement and on other scripts.

Zoranzoki21 updated the task description. (Show Details)Aug 20 2017, 3:42 AM
zhuyifei1999 renamed this task from Editing protected pages with bot - feature suggestion to replace.py should not crash when it does a replacement in Module: and get rejected by API for changing content model.Aug 20 2017, 7:35 AM

First of all, the bot should not attempt to change the content model.

Zoranzoki21 updated the task description. (Show Details)Aug 20 2017, 2:44 PM
Xqt triaged this task as Low priority.Aug 22 2017, 5:31 AM
Xqt added a subscriber: Xqt.

I propose to update your bot first. Regarding to the traceback your bot is very outdated. The next recommendation is to use -namespace Option. You may use it in a way which namespace to be processed or in a way which namespace to be excluded from processing.

I propose to update your bot first. Regarding to the traceback your bot is very outdated. The next recommendation is to use -namespace Option. You may use it in a way which namespace to be processed or in a way which namespace to be excluded from processing.

Okay.

Zoranzoki21 added a comment.EditedAug 22 2017, 1:56 PM

I updated bot using git clone command. Okay, it is resolved.. Only now I suggest to when is any page protected to show message: This page only can edit administrators
and to continue on another, and this one that can not be edited to skip.

I do not mean only the namespace in the image, but all the namespaces (even the main).

Aklapper moved this task from Feature request to Backlog on the Pywikibot board.Aug 25 2017, 4:52 PM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 4:52 PM
jeblad removed a subscriber: jeblad.Aug 25 2017, 9:23 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 13 2019, 1:55 PM
Zoranzoki21 updated the task description. (Show Details)Mar 13 2019, 1:56 PM